import { UnInstallChartOptions } from './un-install-chart-options.js';
/**
 * Builder for {@link UnInstallChartOptions}.
 */
export declare class UnInstallChartOptionsBuilder {
    private _namespace?;
    private _kubeContext?;
    private constructor();
    static builder(): UnInstallChartOptionsBuilder;
    /**
     * Sets the namespace where the release should be uninstalled.
     * @param namespace The namespace.
     * @returns This builder instance.
     */
    namespace(namespace: string): UnInstallChartOptionsBuilder;
    /**
     * Sets the Kubernetes context to use.
     * @param context The Kubernetes context.
     * @returns This builder instance.
     */
    kubeContext(context: string): UnInstallChartOptionsBuilder;
    build(): UnInstallChartOptions;
}
